using ChuPiao.Common.Enums;

namespace ChuPiao.AutoPrint.Machine.TjJingCaiV1
{
    /// <summary>
    /// 天津竟彩机器模式类型
    /// </summary>
    [EnumDescription("天津竟彩机器模式类型")]
    public enum TjJingCaiV1ModeType
    {
        /// <summary>
        /// 没用到，彩票机上只有任选一单复式
        /// </summary>
        [EnumDescription("任选一单式")]
        DlX1Ds = 5030101,
        [EnumDescription("任选一复式")]
        DlX1Fs = 5030102,
        [EnumDescription("任选二单式")]
        DlX2Ds = 5030201,
        [EnumDescription("任选二复式")]
        DlX2Fs = 5030202,
        [EnumDescription("任选二胆拖")]
        DlX2Dt = 5030203,
        [EnumDescription("任选三单式")]
        DlX3Ds = 5030301,
        [EnumDescription("任选三复式")]
        DlX3Fs = 5030302,
        [EnumDescription("任选三胆拖")]
        DlX3Dt = 5030303,
        [EnumDescription("任选四单式")]
        DlX4Ds = 5030401,
        [EnumDescription("任选四复式")]
        DlX4Fs = 5030402,
        [EnumDescription("任选四胆拖")]
        DlX4Dt = 5030403,
        [EnumDescription("任选五单式")]
        DlX5Ds = 5030501,
        [EnumDescription("任选五复式")]
        DlX5Fs = 5030502,
        [EnumDescription("任选五胆拖")]
        DlX5Dt = 5030503,
        [EnumDescription("任选六单式")]
        DlX6Ds = 5030601,
        [EnumDescription("任选六复式")]
        DlX6Fs = 5030602,
        [EnumDescription("任选六胆拖")]
        DlX6Dt = 5030603,
        [EnumDescription("任选七单式")]
        DlX7Ds = 5030701,
        [EnumDescription("任选七复式")]
        DlX7Fs = 5030702,
        [EnumDescription("任选七胆拖")]
        DlX7Dt = 5030703,
        [EnumDescription("任选八单式")]
        DlX8Ds = 5030801,
        [EnumDescription("选前二组选单式")]
        DlQ2ZxDs = 5030901,
        [EnumDescription("选前二组选复式")]
        DlQ2ZxFs = 5030902,
        [EnumDescription("选前二组选胆拖")]
        DlQ2ZxDt = 5030903,
        /// <summary>
        /// 没用到
        /// </summary>
        [EnumDescription("选前二组选和值")]
        DlQ2ZxHz = 5030904,
        /// <summary>
        /// 没用到
        /// </summary>
        [EnumDescription("选前二组选跨度")]
        DlQ2ZxKd = 5030905,
        [EnumDescription("选前二直选单式")]
        DlQ2Ds = 5031001,
        /// <summary>
        /// 没用到，广天地的选前二直选复式，对应的是彩票机上的定位复式
        /// </summary>
        [EnumDescription("选前二直选复式")]
        DlQ2Fs = 5031002,
        [EnumDescription("选前二直选定位复式")]
        DlQ2DwFs = 5031003,
        /// <summary>
        /// 没用到
        /// </summary>
        [EnumDescription("选前二直选和值")]
        DlQ2Hz = 5031004,
        /// <summary>
        /// 没用到
        /// </summary>
        [EnumDescription("选前二直选跨度")]
        DlQ2Kd = 5031005,
        [EnumDescription("选前三组选单式")]
        DlQ3ZxDs = 5031101,
        [EnumDescription("选前三组选复式")]
        DlQ3ZxFs = 5031102,
        [EnumDescription("选前三组选胆拖")]
        DlQ3ZxDt = 5031103,
        /// <summary>
        /// 没用到
        /// </summary>
        [EnumDescription("选前三组选和值")]
        DlQ3ZxHz = 5031104,
        /// <summary>
        /// 没用到
        /// </summary>
        [EnumDescription("选前三组选跨度")]
        DlQ3ZxKd = 5031105,
        [EnumDescription("选前三直选单式")]
        DlQ3Ds = 5031201,
        /// <summary>
        /// 没用到，广天地的选前三直选复式，对应的是彩票机上的定位复式
        /// </summary>
        [EnumDescription("选前三直选复式")]
        DlQ3Fs = 5031202,
        [EnumDescription("选前三直选定位复式")]
        DlQ3DwFs = 5031203,
        /// <summary>
        /// 没用到
        /// </summary>
        [EnumDescription("选前三直选和值")]
        DlQ3Hz = 5031204,
        /// <summary>
        /// 没用到
        /// </summary>
        [EnumDescription("选前三直选跨度")]
        DlQ3Kd = 5031205,



        [EnumDescription("竟彩足球胜平负")]
        JzSpf = 9110101,
        [EnumDescription("竟彩足球比分")]
        JzBf = 9110102,
        [EnumDescription("竟彩足球总进球")]
        JzZjq = 9110103,
        [EnumDescription("竟彩足球半全场")]
        JzBqc = 9110104,
        [EnumDescription("竟彩篮球让分胜负")]
        JlRfsf = 9110105,
        [EnumDescription("竟彩篮球胜负")]
        JlSf = 9110106,
        [EnumDescription("竟彩篮球胜分差")]
        JlSfc = 9110107,
        [EnumDescription("竟彩篮球大小分")]
        JlDxf = 9110108,
        [EnumDescription("竟彩名次冠军")]
        JmGj = 9110109,
        [EnumDescription("竟彩名次冠亚军")]
        JmGyj = 9110110,
        [EnumDescription("竟彩足球混合过关")]
        JzHhgg = 9110111,
        [EnumDescription("竟彩篮球混合过关")]
        JlHhgg = 9110112,
        [EnumDescription("竟彩足球让球胜平负")]
        JzSpfn = 9110113,

        [EnumDescription("22选5单式")]
        XwDs = 7050101,
        [EnumDescription("22选5复式")]
        XwFs = 7050102,
        [EnumDescription("7星彩单式")]
        QxDs = 7040101,
        [EnumDescription("7星彩复式")]
        QxFs = 7040102,
        [EnumDescription("排列五单式")]
        PwDs = 7030101,
        [EnumDescription("排列五复式")]
        PwFs = 7030102,

        [EnumDescription("排列三直选单式")]
        PsDs = 7020101,
        [EnumDescription("排列三组选单式")]
        PsZxDs = 7020102,
        [EnumDescription("排列三直选复式")]
        PsFs = 7020103,
        [EnumDescription("排列三组选3复式")]
        PsZ3Fs = 7020301,
        [EnumDescription("排列三组选6复式")]
        PsZ6Fs = 7020401,
        [EnumDescription("排列三直选和值")]
        PsHz = 7020501,
        [EnumDescription("排列三组选和值")]
        PsZxHz = 7020601,
        [EnumDescription("排列三直选组合复式")]
        PsZhfs = 7020701,
        [EnumDescription("排列三直选组合胆拖")]
        PsZhdt = 7020801,
        [EnumDescription("排列三组选3胆拖")]
        PsZ3Dt = 7020901,
        [EnumDescription("排列三组选6胆拖")]
        PsZ6Dt = 7021001,
        [EnumDescription("排列三直选跨度复式")]
        PsKdfs = 7021101,
        [EnumDescription("排列三组选3跨度复式")]
        PsZ3Kdfs = 7021201,
        [EnumDescription("排列三组选6跨度复式")]
        PsZ6Kdfs = 7021301,

        [EnumDescription("大乐透单式")]
        LtDs = 7010101,
        [EnumDescription("大乐透复式")]
        LtFs = 7010102,
        [EnumDescription("大乐透胆拖")]
        LtDt = 7010103,
        [EnumDescription("大乐透单式追加投注")]
        LtZjDs = 7010201,
        [EnumDescription("大乐透复式追加投注")]
        LtZjFs = 7010202,
        [EnumDescription("大乐透胆拖追加投注")]
        LtZjDt = 7010203,
        [EnumDescription("大乐透幸运彩单式")]
        LtXycDs = 7110101,
        [EnumDescription("大乐透幸运彩复式")]
        LtXycFs = 7110102,
        [EnumDescription("进球彩单式")]
        JqDs = 6020101,
        [EnumDescription("进球彩复式")]
        JqFs = 6020102,
        [EnumDescription("半全场单式")]
        BqDs = 6030101,
        [EnumDescription("半全场复式")]
        BqFs = 6030102,
        [EnumDescription("胜负彩单式")]
        SfDs = 6010101,
        [EnumDescription("胜负彩复式")]
        SfFs = 6010102,
        [EnumDescription("任九单式")]
        SfR9Ds = 6110101,
        [EnumDescription("任九复式")]
        SfR9Fs = 6110102
    }
}
